de.vc.report

## Class ReportContext

- java.lang.Object
- - de.vc.report.ReportContext

-     public class ReportContext
      extends java.lang.Object

  The context of report holds additional information and meta data for a certain report, like the report-index, the prefered file extension and other information. The context is filled by the report engine and the report builder and is used by the report-targets or filter-storages.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFileExtension()` Gets the preferred file extension.
    `int` | `getIndexOfReport()` Gets the index of report in report data source.
    `org.apache.commons.logging.Log` | `getLogger()`
    `int` | `getNumberOfReports()` Gets the total number of reports delivered by the data source.
    `java.lang.String` | `getReportID()` Gets the ID of report.
    `void` | `setFileExtension(java.lang.String ext)` Sets the preferred file extension (e.g.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFileExtension

          public java.lang.String getFileExtension()

      Gets the preferred file extension.
      Returns:
        Preferred file extension.

    - #### getIndexOfReport

          public int getIndexOfReport()

      Gets the index of report in report data source.
      Returns:
        Index of report (beginning at 0)

    - #### getLogger

          public org.apache.commons.logging.Log getLogger()

    - #### getNumberOfReports

          public int getNumberOfReports()

      Gets the total number of reports delivered by the data source. A negative value (-1) indicates, that the data source doesn't know the total number of reports (e.g. when processing XML files with SAX). if unknown.
      Returns:
        Total number of reports.

    - #### getReportID

          public java.lang.String getReportID()

      Gets the ID of report.
      Returns:
        ID of this report, may be null if not specified.

    - #### setFileExtension

          public void setFileExtension(java.lang.String ext)

      Sets the preferred file extension (e.g. PDF, PS, XML etc). Commonly this is set by report builder.
      Parameters:
        `ext` - Preferred file extension.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.